Subject: Sale in watch store

From: " Spinoza" <[email-masked] >
Date: Tue, 10 Jul 2007 10:10:43 -0500

First thing in the paraphernalia of a high-society person – luxury timepiece!
Why pay more for the same blameless quality? Our prices will please you!
Get the brand timepiece that you’ve always dreamt of – at incredibly low price!
http://stflu.com